## ceph-0.7.tar.gz

=== src/kernel/Makefile ===
#
# Makefile for CEPH filesystem.
#

ifneq ($(KERNELRELEASE),)

obj-$(CONFIG_CEPH_FS) += ceph.o

ceph-objs := super.o inode.o dir.o file.o addr.o ioctl.o \
	export.o caps.o snap.o \
	messenger.o \
	mds_client.o mdsmap.o \
	mon_client.o \
	osd_client.o osdmap.o crush/crush.o crush/mapper.o \
	sysfs.o bookkeeper.o

else
#Otherwise we were called directly from the command
# line; invoke the kernel build system.

KERNELDIR ?= /lib/modules/$(shell uname -r)/build
PWD := $(shell pwd)

default: all

all:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) CONFIG_CEPH_FS=m modules

modules_install:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) CONFIG_CEPH_FS=m modules_install

clean:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) clean

endif

=== debian/changelog ===
ceph (0.7-1) unstable; urgency=low

  * smart osd sync
  * osd bug fixes	
  * fast truncate
  * improved start/stop scripts
  * new cluster configuration files, framework
  * /proc/fs/ceph -> /sys/fs/ceph on kclient

 -- sage <sage@newdream.net>  Thu, 5 Mar 2009 13:57:22 -0800

ceph (0.6-1) unstable; urgency=low

  * OSD scrub, fixes
  * async metadata ops

 -- sage <sage@newdream.net>  Thu, 1 Jan 2009 13:57:22 -0800

ceph (0.5-1) unstable; urgency=low

  * OSD bug fixes
  * btrfs ioctl interface
  * efficient snap recovery
  * throttled osd recovery
  * forced unmount

 -- sage <sage@newdream.net>  Thu, 13 Nov 2008 13:57:22 -0800

ceph (0.4-1) unstable; urgency=low

  * Snapshots.

 -- sage <sage@newdream.net>  Thu, 9 Oct 2008 13:57:22 -0800

ceph (0.3-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- sage <sage@newdream.net>  Mon, 28 Jan 2008 15:09:44 -0800

=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Maintainer: Sage Weil <sage@newdream.net>
Build-Depends: debhelper (>= 5), autotools-dev, autoconf, automake, g++, gcc, cdbs, libfuse-dev, libboost-dev, libedit-dev
Standards-Version: 3.7.2

Package: ceph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libedit2
Recommends: fuse-utils, ceph-fuse, ceph-kclient-source
Description: Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.

Package: ceph-fuse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
Description: Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This is the ceph fuse package and contains the ceph fuse for mounting ceph
 with fuse.

Package: ceph-kclient-source
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This is the ceph kernel source package for use with module-assistant.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

CC=gcc-4.1
CXX=g++-4.1

DEB_PYTHON_SYSTEM=pycentral
DEB_DH_INSTALL_SOURCEDIR = debian/tmp

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

common-install-arch::
	mkdir -p $(DEB_DH_INSTALL_SOURCEDIR)/usr/share/doc/ceph
	cp debian/README.ceph $(DEB_DH_INSTALL_SOURCEDIR)/usr/share/doc/ceph/
	mkdir -p $(DEB_DH_INSTALL_SOURCEDIR)/usr/src/modules/ceph
	(cd src/kernel ; tar -hvcf - * ) | ( cd $(DEB_DH_INSTALL_SOURCEDIR)/usr/src/modules/ceph ; tar -xf - )
	touch $(DEB_DH_INSTALL_SOURCEDIR)/usr/src/modules/ceph/NEWS
	touch $(DEB_DH_INSTALL_SOURCEDIR)/usr/src/modules/ceph/README
	mkdir -p $(DEB_DH_INSTALL_SOURCEDIR)/usr/src/modules/ceph/debian
	-cp debian/* $(DEB_DH_INSTALL_SOURCEDIR)/usr/src/modules/ceph/debian
	mv $(DEB_DH_INSTALL_SOURCEDIR)/usr/src/modules/ceph/debian/rules.modules.in $(DEB_DH_INSTALL_SOURCEDIR)/usr/src/modules/ceph/debian/rules
	chmod +x $(DEB_DH_INSTALL_SOURCEDIR)/usr/src/modules/ceph/debian/rules
	( cd $(DEB_DH_INSTALL_SOURCEDIR)/usr/src ; tar -cjf ceph.tar.bz2 modules )
#	rm -rf $(DEB_DH_INSTALL_SOURCEDIR)/usr/src/modules
	find $(DEB_DH_INSTALL_SOURCEDIR)
